# MachiKania system
# initialization file

# Specify the autoexec file

AUTOEXEC=MACHIKAP.BAS


# Set the direction of LCD

# HORIZONTAL # same as LCD0TURN
VERTICAL # same as LCD270TURN
# LCD180TURN
# LCD90TURN


# When using IPS-LCD, activate following line

LCDINVERT


# Setup Initial Text width (42 or 80 for Type PU)

# WIDTH42
# WIDTH80


# Decide if rotate button assignment when LCD vertical setting

ROTATEBUTTONS
# NOROTATEBUTTONS


# Decide if output to USB serial port

USBSERIALON
# USBSERIALOFF


# Decide if emulate buttons by keyboard by setting key codes
# Default: 
#   UP button:    UP key
#   DOWN button:  DOWN key
#   LEFT button:  LEFT key
#   RIGHT button: RIGHT key
#   START button: Enter key
#   FIRE button:  Space key

EMULATEBUTTONUP=38
EMULATEBUTTONDOWN=40
EMULATEBUTTONLEFT=37
EMULATEBUTTONRIGHT=39
EMULATEBUTTONSTART=13
EMULATEBUTTONFIRE=32


# Decide if output to LCD

LCDOUTON
# LCDOUTOFF


# Decide if wait for 2.5 seconds in the beginning in debug mode

DEBUGWAIT2500
# NODEBUGWAIT2500


# Infinite loop or reset at the end of program

LOOPATEND
# RESETATEND


# Waiting time at the beginning in milli seconds (must be more than 499)

STARTWAIT=500


# What to do when an exception occurs

# EXCRESET # Reset Machikania (default: off)
# EXCSCREENSHOT=EXCSCRS.BIN # Save screen shot as a file (default: off)
# EXCDUMP=EXDUMP.BIN # Dump memory to a file (default: off)


# Waiting time for USB keyboard connection in milli seconds (0: infinite)

#WAIT4KEYBOARD=0
WAIT4KEYBOARD=2000


# Specify the keyboard type
# Enable the keyword below

# 106KEY    # Japanese Keyboard
101KEY    # US Keyboard


# Setup Lock keys' status
# Comment out if not lock
# the key when initializing

NUMLOCK     # Num Lock Key
CAPSLOCK    # Caps Lock Key
# SCRLLOCK    # Scroll Lock Key


# Specify SPI pins
# Comment out for default settings
# Useful for small RP2040 boards like XIAO RP2040, RP2040-Zero, and Tiny-2040
# Valid values for SPIMISO:  0,  4, 16, 20 (SPI0)
#                  SPIMISO:  8, 12, 24, 28 (SPI1)
# Valid values for SPIMOSI:  3,  7, 19, 23 (SPI0)
#                  SPIMOSI: 11, 15, 27     (SPI1)
# Valid values for SPICLK:   2,  6, 18, 22 (SPI0)
#                  SPICLK:  10, 14, 26     (SPI1)

# SPIMISO=4
# SPIMOSI=7
# SPICLK=6


# Specify UART pins
# Comment out for default settings
# Valid values for UARTTX: 0, 12, 16, 28 (UART0)
#                  UARTTX: 4,  8, 20, 24 (UART1)
# Valid values for UARTRX: 1, 13, 17, 29 (UART0)
#                  UARTRX: 5,  9, 21, 25 (UART1)

# UARTTX=4
# UARTRX=5


# Specify I2C pins
# Comment out for default settings
# Note that I2C1 cannot be used for PicoCalc as it is used for keyboard
# Valid values for I2CSDA: 0,  4,  8, 12, 16, 20, 24, 28 (I2C0)
#                  I2CSDA: 2,  6, 10, 14, 18, 22, 26     (I2C1)
# Valid values for I2CSCL: 1,  5,  9, 13, 17, 21, 25, 29 (I2C0)
#                  I2CSCL: 3,  7, 11, 15, 19, 23, 27     (I2C1)

# I2CSDA=0
# I2CSCL=1


# Use Real Time Clock (RTC) for saving files by file system
# If RTC is not use, timestamp of save file will be 2020/01/01
# Remove comment to enable RTC for file system in following line

# RTCFILE

# Timezone used for RTC setting by NTP

# TIMEZONE=9 # JST
# TIMEZONE=8.5 # ACST
# TIMEZONE=5.75 # Nepal Standard Time
TIMEZONE=0 # UTC
# TIMEZONE=-8 # PST
# TIMEZONE=-7 # PDT
# TIMEZONE=-5 # EST
# TIMEZONE=-4 # EDT


# Connect to wifi when starting (Pico W only)

# USEWIFI


# Set country code for wifi connection (Pico W only)

WIFICOUNTRY=JP
# WIFICOUNTRY=US


# Define wifi SSID and password (Pico W only)

# WIFISSID=xxxx
# WIFIPASSWD=xxxx


# Define hostname (Pico W only; default: PicoW)

# HOSTNAME=machikania


# Define NTP server (Pico W only)

NTPSERVER=pool.ntp.org


# Enable following line to connect to NTP server in the beginning after power on (Pico W only)
# Make sure that USEWIFI is enabled when using this feature

# INITIALNTP

# Enable following line to show timestamp when selecting files
# SHOWTIMESTAMP

# Sort order when selecting files
# 0:A...Z 1:Z...A 2:OLD...NEW 3:NEW...OLD
FILESORTBY=0


# Set help file used in editor
# Use help-e.txt for English help
# Use help-k.txt for Japanese Kana help

HELPFILE=/docs/help-e.txt
#HELPFILE=/docs/help-k.txt


# Assign the additional PWM (4-9) to GPIO number
# Note that this is not MachiKania port number, but RP2040/2350 GPIO number (0-29)

# PWM4=21
